[InstallShield Silent]
Version=v5.00.000
File=Response File

# Select which language version of IBM HTTP Server to install by changing the value
# of the parameter 'Lang'.  The valid values are:
#
# Brazilian Portugese - 0416    English - 0009       
# French - 040c                 German - 0007
# Italian - 0010                Japanese - 0011
# Korean - 0012                 Simplified Chinese - 0804
# Spanish - 000a                Traditional Chinese - 0404

[Application]
Name=HTTP Server
Version=1.3.12.2
Company=IBM
Lang=0009

# These are the dialogs that are used during a silent install, they differ
# from the interactive install. This section should not be modified. 

[DlgOrder]
Count=12
Dlg0=SdWelcome-0
Dlg1=SdLicense-0
Dlg2=SdAskDestPath-0
Dlg3=SdSetupTypeEx-0
Dlg4=SdComponentMult-0
Dlg5=SdSelectFolder-0
Dlg6=UserID-0

# The response for the 'Welcome' screen. 
# Result - Must be '1'

[SdWelcome-0]
Result=1

# The response for the 'Accepting the License' dialog.
# Result - must be '1' or the install will stop.

[SdLicense-0]
Result=1

# The dialog to specify the target for the installation.
# szDir -  drive:\path
# Result - Must be '1' 
 
[SdAskDestPath-0]
szDir=C:\Program Files\IBM HTTP Server
Result=1

# The dialog to select the type of install. This response file is customized for a 'Custom' 
# type install,  that is one in which specific components and subcomponents can be selected
# for install. 
# Result - Must be 'Custom'

[SdSetupTypeEx-0]
Result=Custom

# In this section you choose the components and subcomponents that will be installed. 
# There are 4 main components: 
# 1) Base - which contains the webserver executable, additional Apache modules, the Apache source
#           used for the IBM HTTP Server, and the webserver documentation.
# 2) baseext - which contains the IBM modules which provide addtional function for the webserver.
#              Include in this component are the Security module for SSL support, LDAP module to
#              allow access authentication via an LDAP server, and snmp. 
# 3) MT - the Machine Tranlsation component which allows for automatic translation of text into
#         German, Simplified Chinese, or Traditional Chinese. Included in this component are the
#         HTTP server module which provides the interface to the Machine Translation Server, the
#         Machine Translation Server and the three dictionaries needed for translation.
# 4) adminserver - which is the Configuration and Administration server for the HTTP Server. This 
#                  component does not contain any subcomponents. 
#   
# By default, all of the components and subcomponents are included. You may change the selected 
# components by commenting out ( use '#' ) or deleting the lines for those components you don't
# want to install, and then changing the 'count' values in each section to match the number of 
# components to be selected. 
#
# Result - Must be '1'
        
[SdComponentMult-0]
Component-type=string
Component-count=4
Component-0=Base
Component-1=baseext
Component-2=MT
Component-3=adminserver

# The Base subcomponents
Base-type=string
Base-count=5
Base-0=Base\Application Files
Base-1=Base\Source Code
Base-2=Base\Manual
Base-3=Base\Additional Modules
Base-4=Base\Icons

# The Base Extensions subcomponents
baseext-type=string
baseext-count=3
baseext-0=baseext\Security
baseext-1=baseext\ldap
baseext-2=baseext\snmp

# The Machine Translation subcomponents
MT-type=string
MT-count=5
MT-0=MT\MT Module
MT-1=MT\MTencn
MT-2=MT\MTentw
MT-3=MT\MTende
MT-4=MT\MTServer

Result=1

# This dialog specifies the name of the start menu folder which will be created. This folder 
# will be created under 'Start/Programs'. 
# szFolder - The folder name
# Result - Must be '1'

[SdSelectFolder-0]
szFolder=IBM HTTP Server
Result=1

# The HTTP Server and HTTP Administration Server will be installed as NT Services.  This 
# dialog is used to specify the userid and password that these services will 'logon' as. 
# This userid must be a valid user on the local machine. 
# szEdit1 - Userid
# szEdit2 - Password 
# Result - Must be '1'

[UserID-0]
szEdit1=
szEdit2=
szEdit3=NULL
Result=1

